org.eclipse.mat.inspections.osgi.model

## Class BundleReaderFactory

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.BundleReaderFactory

    public class BundleReaderFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BundleReaderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IBundleReader` `getBundleReader(ISnapshot snapshot)` Check for the type of framework and return corresponding IBundleReader

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleReaderFactory

    public BundleReaderFactory()

### Method Detail

#### getBundleReader

    public static IBundleReader getBundleReader(ISnapshot snapshot)
                                         throws SnapshotException

Check for the type of framework and return corresponding IBundleReader

Parameters:
  `snapshot` -
Returns:
  IBundleReader
Throws:
  `SnapshotException`